## libserialport 0.1.2

=== examples/Makefile ===
# A simple Makefile to build the examples in this directory.
#
# This example file is released to the public domain.

CC = gcc
PKG_CONFIG = pkg-config
CFLAGS = -g -Wall $(shell $(PKG_CONFIG) --cflags libserialport)
LIBS = $(shell $(PKG_CONFIG) --libs libserialport)

SOURCES = $(wildcard *.c)

BINARIES = $(SOURCES:.c=)

%: %.c
	$(CC) $(CFLAGS) $< $(LIBS) -o $@

all: $(BINARIES)

clean:
	rm $(BINARIES)

## libserialport 0.1.0

=== debian/changelog ===
libserialport (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #732309).

 -- Uwe Hermann <uwe@debian.org>  Sun, 11 May 2014 13:28:08 +0200

=== debian/control ===
Source: libserialport
Priority: extra
Maintainer: Uwe Hermann <uwe@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, pkg-config, libudev-dev [linux-any]
Standards-Version: 3.9.5
Section: libs
Homepage: http://sigrok.org/wiki/Libserialport

Package: libserialport-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libserialport0 (= ${binary:Version}), ${misc:Depends}, libudev-dev [linux-any]
Description: Crossplatform serial port handling library - development files
 libserialport is a minimal, cross-platform shared library that is intended
 to take care of the OS-specific details when writing software that uses
 serial ports. 
 .
 This package contains the header files and other development files.

Package: libserialport0
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Crossplatform serial port handling library - shared library
 libserialport is a minimal, cross-platform shared library that is intended
 to take care of the OS-specific details when writing software that uses
 serial ports. 
 .
 This package contains the shared library.

## libserialport 0.1.1

=== debian/changelog ===
libserialport (0.1.1-2) unstable; urgency=medium

  * Move maintenance to Debian Electronics Packaging Team (Closes: #852832).
  * Switch to debhelper compat 10, drop dep on autotools-dev.
  * Fix compilation for !linux, thanks to Steven Chamberlain (Closes: #816334).
  * Standards-Version: 4.0.1 (change priority to optional).

 -- Jonathan McDowell <noodles@earth.li>  Mon, 14 Aug 2017 18:48:44 +0100

libserialport (0.1.1-1) unstable; urgency=medium

  * New upstream release.
      + Drop "libudev-dev [linux-any]" build dependency, the libudev
        requirement has been removed upstream.
      + A build issue on alpha has been fixed.
  * Standards-Version: 3.9.7 (no changes required).
  * debian/control: Drop duplicate 'Section' specification (lintian warning).
  * debian/copyright: Update.
  * debian/rules: Add "export DEB_BUILD_MAINT_OPTIONS = hardening=+all".

 -- Uwe Hermann <uwe@debian.org>  Wed, 24 Feb 2016 21:59:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,19 @@
 Source: libserialport
-Priority: extra
-Maintainer: Uwe Hermann <uwe@debian.org>
-Build-Depends: debhelper (>= 9), autotools-dev, pkg-config, libudev-dev [linux-any]
-Standards-Version: 3.9.5
+Priority: optional
+Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@lists.alioth.debian.org>
+Uploaders: Jonathan McDowell <noodles@earth.li>
+Build-Depends: debhelper (>= 10), pkg-config
+Standards-Version: 4.0.1
 Section: libs
 Homepage: http://sigrok.org/wiki/Libserialport
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-electronics/libserialport.git
+Vcs-Git: git://anonscm.debian.org/pkg-electronics/libserialport.git
 
 Package: libserialport-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libserialport0 (= ${binary:Version}), ${misc:Depends}, libudev-dev [linux-any]
+Depends: libserialport0 (= ${binary:Version}), ${misc:Depends}
 Description: Crossplatform serial port handling library - development files
  libserialport is a minimal, cross-platform shared library that is intended
  to take care of the OS-specific details when writing software that uses
@@ -19,7 +22,6 @@
  This package contains the header files and other development files.
 
 Package: libserialport0
-Section: libs
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}

=== debian/watch ===
version=3
http://sigrok.org/download/source/libserialport libserialport-(.*)\.tar\.gz

## libserialport 0.1.2

=== debian/changelog ===
libserialport (0.1.2-1) unstable; urgency=medium

  [ Zoltan Gyarmati ]
  * Added libserialport0.symbols file

  [ Jonathan McDowell ]
  * New upstream release.
  * Refresh patches.
  * Update pkg-config dependency to pkgconf
  * Standards-Version: 4.7.0 (no changes).
  * Update debian/copyright
  * Fix symbols file versioning

 -- Jonathan McDowell <noodles@earth.li>  Sun, 15 Dec 2024 22:14:45 +0000

libserialport (0.1.1-3) unstable; urgency=medium

  * VCS is at Salsa.
  * Added myself to uploaders.
  * Standards-Version: 4.1.4 (no changes).
  * Patch added to fix alpha where BOTHER is not defined (Closes: #897067).
  * debian/watch now also httpS.

 -- Geert Stappers <stappers@debian.org>  Fri, 18 May 2018 10:44:24 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Priority: optional
 Maintainer: Debian Electronics Packaging Team <pkg-electronics-devel@lists.alioth.debian.org>
 Uploaders: Jonathan McDowell <noodles@earth.li>
-Build-Depends: debhelper (>= 10), pkg-config
-Standards-Version: 4.0.1
+  , Geert Stappers <stappers@debian.org>
+Build-Depends: debhelper (>= 10), pkgconf
+Standards-Version: 4.7.0
 Section: libs
 Homepage: http://sigrok.org/wiki/Libserialport
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-electronics/libserialport.git
-Vcs-Git: git://anonscm.debian.org/pkg-electronics/libserialport.git
+Vcs-Browser: https://salsa.debian.org/electronics-team/sigrok/libserialport
+Vcs-Git: https://salsa.debian.org/electronics-team/sigrok/libserialport.git
 
 Package: libserialport-dev
 Section: libdevel

=== debian/watch ===
version=3
https://sigrok.org/download/source/libserialport libserialport-(.*)\.tar\.gz
